Bug 1311241 - ValueError: size is larger than the maximum for this device
ValueError: size is larger than the maximum for this device
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:8aceec2f74b8358ba6a170584a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 12:08 EST by Shanu Vashishtha
Modified: 2016-12-20 13:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.15 MB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: anaconda.log (98.06 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: environ (614 bytes, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: journalctl (442.20 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: lsblk_output (2.94 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: nmcli_dev_list (2.89 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: os_info (518 bytes, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: program.log (75.94 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: storage.log (477.35 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details
File: ifcfg.log (8.00 KB, text/plain)
2016-02-23 12:09 EST, Shanu Vashishtha
no flags Details

  None (edit)
Description Shanu Vashishtha 2016-02-23 12:08:43 EST
Description of problem:
IT HAPPENED WHILE I WAS TRYING TO INSTALL FEDORA ON MY SYSTEM.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 222, in _setTargetSize
    raise ValueError("size is larger than the maximum for this device")
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 271, in _setTargetSize
    super(PartitionDevice, self)._setTargetSize(newsize)
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 234, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 472, in cancel
    self.device.targetSize = self.origsize
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 346, in cancelAction
    action.cancel()
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1125, in resetDevice
    self.devicetree.cancelAction(action)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1942, in on_remove_clicked
    self._storage_playground.resetDevice(device)
ValueError: size is larger than the maximum for this device

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Shanu Vashishtha 2016-02-23 12:09:03 EST
Created attachment 1129858 [details]
File: anaconda-tb
Comment 2 Shanu Vashishtha 2016-02-23 12:09:16 EST
Created attachment 1129859 [details]
File: anaconda.log
Comment 3 Shanu Vashishtha 2016-02-23 12:09:19 EST
Created attachment 1129860 [details]
File: environ
Comment 4 Shanu Vashishtha 2016-02-23 12:09:26 EST
Created attachment 1129862 [details]
File: journalctl
Comment 5 Shanu Vashishtha 2016-02-23 12:09:30 EST
Created attachment 1129863 [details]
File: lsblk_output
Comment 6 Shanu Vashishtha 2016-02-23 12:09:32 EST
Created attachment 1129864 [details]
File: nmcli_dev_list
Comment 7 Shanu Vashishtha 2016-02-23 12:09:35 EST
Created attachment 1129865 [details]
File: os_info
Comment 8 Shanu Vashishtha 2016-02-23 12:09:40 EST
Created attachment 1129866 [details]
File: program.log
Comment 9 Shanu Vashishtha 2016-02-23 12:09:48 EST
Created attachment 1129867 [details]
File: storage.log
Comment 10 Shanu Vashishtha 2016-02-23 12:09:51 EST
Created attachment 1129868 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-11-24 10:43:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 13:58:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.